Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.Create<Next>

Type Parameters:
  `Next` - The interface that is to be returned when this create request is completed

All Superinterfaces:
  Graph.Conjunction<Next>

All Known Implementing Classes:
  Graph.CreateAction

Enclosing class:
  Graph

    public static interface Graph.Create<Next>

extends Graph.Conjunction<Next>

The interface for defining additional properties on a new node.

Method Summary
`Graph.Create<Next>` | `and(Iterable<Property> properties)` Specify property that should the new node should have.
`Graph.Create<Next>` | `and(Name propertyName, Object... values)` Specify a property that should the new node should have.
`Graph.Create<Next>` | `and(Property property)` Specify a property that should the new node should have.
`Graph.Create<Next>` | `and(Property firstProperty, Property... additionalProperties)` Specify properties that should the new node should have.
`Graph.Create<Next>` | `and(String propertyName, Object... values)` Specify a property that should the new node should have.
`Graph.Create<Next>` | `and(UUID uuid)` Specify the UUID that should the new node should have.
`Graph.Create<Next>` | `byAppending()` Create the node if it does not exist by appending or adjusting the `same-name-sibling index`).
`Graph.Create<Next>` | `ifAbsent()` Create the node only if there is no existing node with the same `name` (ignoring `same-name-sibling indexes`).
`Graph.Create<Next>` | `orReplace()` Create the node if it does not exist, or replace any existing node that has the same `name` (ignoring `same-name-sibling indexes`).
`Graph.Create<Next>` | `orUpdate()` Create the node if it does not exist, or update any existing node that has the same `name` (ignoring `same-name-sibling indexes`).
`Graph.Create<Next>` | `with(Iterable<Property> properties)` Specify property that should the new node should have.
`Graph.Create<Next>` | `with(Name propertyName, Object... values)` Specify a property that should the new node should have.
`Graph.Create<Next>` | `with(Property property)` Specify a property that should the new node should have.
`Graph.Create<Next>` | `with(Property firstProperty, Property... additionalProperties)` Specify properties that should the new node should have.
`Graph.Create<Next>` | `with(String propertyName, Object... values)` Specify a property that should the new node should have.
`Graph.Create<Next>` | `with(UUID uuid)` Specify the UUID that should the new node should have.

Methods inherited from interface org.modeshape.graph.Graph.Conjunction
`and`

Method Detail

### ifAbsent

    Graph.Create<Next> ifAbsent()

  Create the node only if there is no existing node with the same `name` (ignoring `same-name-sibling indexes`).

  Returns:
    this interface for continued specification of the request

### orUpdate

    Graph.Create<Next> orUpdate()

  Create the node if it does not exist, or update any existing node that has the same `name` (ignoring `same-name-sibling indexes`).

  Returns:
    this interface for continued specification of the request

### orReplace

    Graph.Create<Next> orReplace()

  Create the node if it does not exist, or replace any existing node that has the same `name` (ignoring `same-name-sibling indexes`).

  Returns:
    this interface for continued specification of the request

### byAppending

    Graph.Create<Next> byAppending()

  Create the node if it does not exist by appending or adjusting the `same-name-sibling index`). This is the default behavior.

  Returns:
    this interface for continued specification of the request

### with

    Graph.Create<Next> with(UUID uuid)

  Specify the UUID that should the new node should have. This is an alias for `and(UUID)`.

  Parameters:
    `uuid` - the UUID
  Returns:
    this same interface so additional properties may be added

### with

    Graph.Create<Next> with(Property property)

  Specify a property that should the new node should have. This is an alias for `and(Property)`.

  Parameters:
    `property` - the property
  Returns:
    this same interface so additional properties may be added

### with

    Graph.Create<Next> with(Iterable<Property> properties)

  Specify property that should the new node should have. This is an alias for `and(Iterable)`.

  Parameters:
    `properties` - the properties that should be added
  Returns:
    this same interface so additional properties may be added

### with

    Graph.Create<Next> with(String propertyName,
                            Object... values)

  Specify a property that should the new node should have. This is an alias for `and(String, Object...)`.

  Parameters:
    `propertyName` - the name of the property
    `values` - the property values
  Returns:
    this same interface so additional properties may be added

### with

    Graph.Create<Next> with(Name propertyName,
                            Object... values)

  Specify a property that should the new node should have. This is an alias for `and(Name, Object...)`.

  Parameters:
    `propertyName` - the name of the property
    `values` - the property values
  Returns:
    this same interface so additional properties may be added

### with

    Graph.Create<Next> with(Property firstProperty,
                            Property... additionalProperties)

  Specify properties that should the new node should have. This is an alias for `and(Property, Property...)`.

  Parameters:
    `firstProperty` - the first property
    `additionalProperties` - the additional property
  Returns:
    this same interface so additional properties may be added

### and

    Graph.Create<Next> and(UUID uuid)

  Specify the UUID that should the new node should have.

  Parameters:
    `uuid` - the UUID
  Returns:
    this same interface so additional properties may be added

### and

    Graph.Create<Next> and(Property property)

  Specify a property that should the new node should have.

  Parameters:
    `property` - the property
  Returns:
    this same interface so additional properties may be added

### and

    Graph.Create<Next> and(Iterable<Property> properties)

  Specify property that should the new node should have. This is equivalent to calling `and(Property)` for each of the properties in the supplied `Iterable`.

  Parameters:
    `properties` - the properties that should be added
  Returns:
    this same interface so additional properties may be added

### and

    Graph.Create<Next> and(String propertyName,
                           Object... values)

  Specify a property that should the new node should have.

  Parameters:
    `propertyName` - the name of the property
    `values` - the property values
  Returns:
    this same interface so additional properties may be added

### and

    Graph.Create<Next> and(Name propertyName,
                           Object... values)

  Specify a property that should the new node should have.

  Parameters:
    `propertyName` - the name of the property
    `values` - the property values
  Returns:
    this same interface so additional properties may be added

### and

    Graph.Create<Next> and(Property firstProperty,
                           Property... additionalProperties)

  Specify properties that should the new node should have.

  Parameters:
    `firstProperty` - the first property
    `additionalProperties` - the additional property
  Returns:
    this same interface so additional properties may be added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.